commit 4aeefba6cd657010a395dd187f9136cd152aac95
Author: Jakub Jelinek <jakub@redhat.com>
Date:   Tue Apr 25 14:38:01 2023

    testsuite: Fix up ext-floating15.C tests on powerpc64-linux [PR109278]
    
    I've noticed this test FAILs on powerpc64-linux, with
    FAIL: g++.dg/cpp23/ext-floating15.C  -std=gnu++98 (test for excess errors)
    Excess errors:
    /home/jakub/gcc/gcc/testsuite/g++.dg/cpp23/ext-floating15.C:8:5: error: '_Float128' is not supported on this target
    /home/jakub/gcc/gcc/testsuite/g++.dg/cpp23/ext-floating15.C:8:5: error: '_Float128' is not supported on this target
    /home/jakub/gcc/gcc/testsuite/g++.dg/cpp23/ext-floating15.C:8:1: error: variable or field 'bar' declared void
    /home/jakub/gcc/gcc/testsuite/g++.dg/cpp23/ext-floating15.C:8:5: error: '_Float128' is not supported on this target
    /home/jakub/gcc/gcc/testsuite/g++.dg/cpp23/ext-floating15.C:8:6: error: expected primary-expression before '_Float128'
    and similarly other std versions.
    powerpc64-linux is float128 target, but needs to add some options for it.
    
    Fixed by adding them.
    
    2023-04-25  Jakub Jelinek  <jakub@redhat.com>
    
            PR c++/109278
            * g++.dg/cpp23/ext-floating15.C: Add dg-add-options float128.
    
    (cherry picked from commit 784e03f378bb2c330b96459928d0472d38748970)

diff --git a/gcc/testsuite/g++.dg/cpp23/ext-floating15.C b/gcc/testsuite/g++.dg/cpp23/ext-floating15.C
index 316dd5abacd..6d7dc6ad682 100644
--- a/gcc/testsuite/g++.dg/cpp23/ext-floating15.C
+++ b/gcc/testsuite/g++.dg/cpp23/ext-floating15.C
@@ -1,6 +1,7 @@
 // PR c++/109278
 // { dg-do compile { target float128 } }
 // { dg-options "-w" }
+// { dg-add-options float128 }
 
 void foo (long double);	// { dg-bogus "initializing argument 1 of" }
 

